Skip to main content

Get phone number job names

GET 

/business/{businessId}/phone/job

Fetch a summary of all registered phone number job names. Information includes quantity of phone numbers stored under each job name. Note: If phone numbers are registered separately using the same job name, they will be combined together under that common job name.

Path Parameters​


    businessId stringrequired

    Id of a business

    Example: 60ff7262-d373-4242-8fc8-a3ecfb51d0c1

Query Parameters​


    page integer<int32>

    Which page of results should be provided. When calling this API for the first time for a set of numbers, request page 0. Defaults to 0.

Responses​

OK

Response Body

application/json

    pagingobjectrequired

    currentPageintegerrequired

    Which page of results are being provided

    Format: integer<int32>
    Example: 0

    totalElementsintegerrequired

    Total quantity of phone numbers that would be available across all pages for this request.

    Format: integer<int32>
    Example: 1

    totalPagesintegerrequired

    The quantity of pages available to fetch data on all requested phone numbers.

    Format: integer<int32>
    Example: 1

    pageSizeintegerrequired

    The quantity of phone numbers per page.

    Format: integer<int32>
    Example: 100

    jobsobject[]required
  • Array [


  • namestringrequired

    The job name. Supports empty job name string.


    phonesPendingintegerrequired

    Count of phone numbers under this job name that are pending registration.

    Format: integer<int32>

    phonesRegisteredintegerrequired

    Count of registered phone numbers under this job name.

    Format: integer<int32>

    phonesNeedingAttentionintegerrequired

    Count of phone numbers under this job name where the registration process was unsuccessful.

    Format: integer<int32>
  • ]

Example from Schema​

{
"paging": {
"currentPage": 0,
"totalElements": 1,
"totalPages": 1,
"pageSize": 100
},
"jobs": [
{
"name": "string",
"phonesPending": 0,
"phonesRegistered": 0,
"phonesNeedingAttention": 0
}
]
}